    Program f04ajfe

!     F04AJF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: f03aff, f04ajf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: d1, eps
      Integer                          :: i, id, ifail, ir, lda, ldb, n
!     .. Local Arrays ..
      Real (Kind=nag_wp), Allocatable  :: a(:,:), b(:,:), p(:)
!     .. Executable Statements ..
      Write (nout,*) 'F04AJF Example Program Results'
      Write (nout,*)
!     Skip heading in data file
      Read (nin,*)
      Read (nin,*) n
      ir = 1
      lda = n
      ldb = n
      Allocate (a(lda,n),b(ldb,ir),p(n))
      Read (nin,*)(a(i,1:n),i=1,n)

!     ifail: behaviour on error exit
!             =0 for hard exit, =1 for quiet-soft, =-1 for noisy-soft
      ifail = 0
!     Crout decomposition
      Call f03aff(n,eps,a,lda,d1,id,p,ifail)

      Read (nin,*)(b(i,1:ir),i=1,n)

!     Approximate solution of linear equations
      Call f04ajf(n,ir,a,lda,p,b,ldb)

      Write (nout,*) ' Solution'
      Do i = 1, n
        Write (nout,99999) b(i,1:ir)
      End Do

99999 Format (1X,8F9.4)
    End Program f04ajfe
